@import url('https://fonts.googleapis.com/css2?family=Righteous&display=swap');
*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
    overflow-y: hidden;
}
.container{
    width: 100%;
    height: 100vh;
    /* background-image: ; */
    /* background-color: antiquewhite; */
    background-size: cover;
    background-position: center;
    
}
#menuIcon{
    width: 100px;
    border-radius: 50%;
    position: fixed;
    top: 40px;
    right: 60px;
    cursor: pointer;
    z-index: 100;
}

.menu-box{
    width: 0;
    height: 0;
    background: rgba(0, 0, 0, 0);
    /* background-color: black; */
    position: fixed;
    top: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    border-bottom-left-radius: 100%;
    transition: width 0.5s, height 0.5s, border-radius 0.5s;
}

.menu-box.open-menu{
    width: 100%;
    height: 100vh;
    border-top-left-radius: 0;
}
.menu-box ul{
    position: relative;
    display: flex;
    background-color: transparent;
    top: -10.5cm;
    font-size: 10px;
}

.menu-box ul li{
    list-style: none;
    background-color: transparent;
}

.menu-box ul li a{
    position: relative;
    text-decoration: none;
    font-size: 1.5em;
    color: black;
    margin: 50px;
    text-transform: uppercase;
    letter-spacing: 0.2em;
    display: inline-block;
    /* margin-left: 10px; */
}

.menu-box ul li a::before{
    content: '';
    position: absolute;
    bottom: -2px;
    width: 100%;
    height: 2px;
    background: black; 
    transform: scaleX(0);
    transition: transform 0.5s  ease-in-out;
    transform-origin: right;

}

.menu-box ul li a:hover::before{
    transform: scaleX(1);
    transform-origin: left;
}

.logo{
    width: 200px;
    /* border-radius: 50%; */
    position: fixed;
    top: 40px;
    left: 60px;
    cursor: pointer;
    /* z-index: 100;    */
}
.logout{
    width: 200px;
    /* border-radius: 50%; */
    position: fixed;
    top: 40px;
    right: 60px;
    cursor: pointer;
    /* z-index: 100;    */
}
.texts{
    width: 100%;
    /* border-radius: 50%; */
    position: fixed;
    top: 2cm;
    left: 12cm;
    font-family: 'Righteous', cursive;
    font-size: 7rem;
    background-color: #fff;
    /* z-index: 100;    */
    
}
.slo{
    position: fixed;
    top: 12cm;
    left: 8.7cm;
    font-family: 'Courier New', Courier, monospace;
    font-size: 25px;
}

.content{
    border: 1px solid;
}
/* ------------------------------button-------------------------------- */

.container{
    height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    /* background-color: #4070f4; */
    column-gap: 30px;
}
.form{
    position: absolute;
    max-width: 430px;
    width: 100%;
    padding: 30px;
    border-radius: 6px;
    background: #FFF;
    top: 8cm;
}
.form.signup{
    opacity: 0;
    pointer-events: none;
}
.forms.show-signup .form.signup{
    opacity: 1;
    pointer-events: auto;
}
.forms.show-signup .form.login{
    opacity: 0;
    pointer-events: none;
}
header{
    font-size: 28px;
    font-weight: 600;
    color: #232836;
    text-align: center;
}
form{
    margin-top: 30px;
}
.form .field{
    position: relative;
    height: 50px;
    width: 100%;
    margin-top: 20px;
    border-radius: 6px;
}
.field input,
.field button{
    height: 100%;
    width: 100%;
    border: none;
    font-size: 16px;
    font-weight: 400;
    border-radius: 6px;
}
.field input{
    outline: none;
    padding: 0 15px;
    border: 1px solid#CACACA;
}
.field input:focus{
    border-bottom-width: 2px;
}
.eye-icon{
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    font-size: 18px;
    color: #8b8b8b;
    cursor: pointer;
    padding: 5px;
}
.field button{
    color: #fff;
    background-color: #0171d3;
    transition: all 0.3s ease;
    cursor: pointer;
}
.field button:hover{
    background-color: #016dcb;
}
.form-link{
    text-align: center;
    margin-top: 10px;
}
.form-link span,
.form-link a{
    font-size: 14px;
    font-weight: 400;
    color: #232836;
}
.form a{
    color: #0171d3;
    text-decoration: none;
}
.form-content a:hover{
    text-decoration: underline;
}
.line{
    position: relative;
    height: 1px;
    width: 100%;
    margin: 36px 0;
    background-color: #d4d4d4;
}
.line::before{
    content: 'Or';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #FFF;
    color: #8b8b8b;
    padding: 0 15px;
}
.media-options a{
    display: flex;
    align-items: center;
    justify-content: center;
}
a.facebook{
    color: #fff;
    background-color: #4267b2;
}
a.facebook .facebook-icon{
    height: 28px;
    width: 28px;
    color: #0171d3;
    font-size: 20px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fff;
}
.facebook-icon,
img.google-img{
    position: absolute;
    top: 50%;
    left: 15px;
    transform: translateY(-50%);
}
img.google-img{
    height: 20px;
    width: 20px;
    object-fit: cover;
}
a.google{
    border: 1px solid #CACACA;
}
a.google span{
    font-weight: 500;
    opacity: 0.6;
    color: #232836;
}


.card {
    width: 200px;
    height: 200px;
    color: white;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 5px;
    overflow: visible;
    transform: translate(270%, -260%);
}
   
   .card .item {
    border-radius: 10px;
    /* width: 100%;
    height: 100%; */
    width: 6cm;
    height: 8cm;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
   }
   
   .item:hover {
    transform: scale(0.95);
    transition: all 0.3s;
    cursor: crosshair;
   }
   
   .item svg {
    width: 50px;
    height: 50px;
    margin-bottom: 7px;
   }
   
   .item--1 {
    background: #c7c7ff;
   }
   
   .item--2 {
    background: #ffd8be;
   }
   
   .item--3 {
    background: #a9ecbf;
   }
   
   .item--4 {
    background: #f3bbe1;
   }
   
   .quantity {
    font-size: 25px;
    font-weight: 600;
   }
   
   .text {
    font-size: 12px;
    font-family: inherit;
    font-weight: 600;
   }
   
   .text--1 {
    color: rgba(149,149,255,1);
   }
   
   .text--2 {
    color: rgba(252,161,71,1);
   }
   
   .text--3 {
    color: rgba(66,193,110,1);
   }
   
   .text--4 {
    color: rgba(220,91,183,1);
   }